//
//  Login.app
// 
//  Copyright (c) 1997, 1998 Per Liden
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#include "Panel.h"
#include "Version.h"
#include "Const.h"


int main(int argc, char** argv)
{
    if(argc == 2 && !strcmp(argv[1], "-version"))
    {
	cout << APPNAME << " version " << VERSION << endl;
	exit(0);
    }

    if(getuid() == 0)
    {
	Panel P(argc, argv);
	P.Run();
    }
    else
	cerr << APPNAME << ": only root can run this program" << endl;
    
    return 0;
}

